<?php
/** 
 *  PHP Version 5
 *
 *  @category    Amazon
 *  @package     Amazon_FPS
 *  @copyright   Copyright 2008-2009 Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *  @link        http://aws.amazon.com
 *  @license     http://aws.amazon.com/apache2.0  Apache License, Version 2.0
 *  @version     2010-08-28
 */
/******************************************************************************* 
 *    __  _    _  ___ 
 *   (  )( \/\/ )/ __)
 *   /__\ \    / \__ \
 *  (_)(_) \/\/  (___/
 * 
 *  Amazon FPS PHP5 Library
 *  Generated: Wed Jun 15 05:50:14 GMT+00:00 2011
 * 
 */

/**
 *  @see Amazon_FPS_Model
 */
require_once ('Amazon/FPS/Model.php');  

    

/**
 * Amazon_FPS_Model_GetAccountBalanceResult
 * 
 * Properties:
 * <ul>
 * 
 * <li>AccountBalance: Amazon_FPS_Model_AccountBalance</li>
 *
 * </ul>
 */ 
class Amazon_FPS_Model_GetAccountBalanceResult extends Amazon_FPS_Model
{


    /**
     * Construct new Amazon_FPS_Model_GetAccountBalanceResult
     * 
     * @param mixed $data DOMElement or Associative Array to construct from. 
     * 
     * Valid properties:
     * <ul>
     * 
     * <li>AccountBalance: Amazon_FPS_Model_AccountBalance</li>
     *
     * </ul>
     */
    public function __construct($data = null)
    {
        $this->_fields = array (
        'AccountBalance' => array('FieldValue' => null, 'FieldType' => 'Amazon_FPS_Model_AccountBalance'),
        );
        parent::__construct($data);
    }

        /**
     * Gets the value of the AccountBalance.
     * 
     * @return AccountBalance AccountBalance
     */
    public function getAccountBalance() 
    {
        return $this->_fields['AccountBalance']['FieldValue'];
    }

    /**
     * Sets the value of the AccountBalance.
     * 
     * @param AccountBalance AccountBalance
     * @return void
     */
    public function setAccountBalance($value) 
    {
        $this->_fields['AccountBalance']['FieldValue'] = $value;
        return;
    }

    /**
     * Sets the value of the AccountBalance  and returns this instance
     * 
     * @param AccountBalance $value AccountBalance
     * @return Amazon_FPS_Model_GetAccountBalanceResult instance
     */
    public function withAccountBalance($value)
    {
        $this->setAccountBalance($value);
        return $this;
    }


    /**
     * Checks if AccountBalance  is set
     * 
     * @return bool true if AccountBalance property is set
     */
    public function isSetAccountBalance()
    {
        return !is_null($this->_fields['AccountBalance']['FieldValue']);

    }




}