<?php
/** 
 *  PHP Version 5
 *
 *  @category    Amazon
 *  @package     Amazon_FPS
 *  @copyright   Copyright 2008-2009 Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *  @link        http://aws.amazon.com
 *  @license     http://aws.amazon.com/apache2.0  Apache License, Version 2.0
 *  @version     2010-08-28
 */
/******************************************************************************* 
 *    __  _    _  ___ 
 *   (  )( \/\/ )/ __)
 *   /__\ \    / \__ \
 *  (_)(_) \/\/  (___/
 * 
 *  Amazon FPS PHP5 Library
 *  Generated: Wed Jun 15 05:50:14 GMT+00:00 2011
 * 
 */

/**
 *  @see Amazon_FPS_Model
 */
require_once ('Amazon/FPS/Model.php');  

    

/**
 * Amazon_FPS_Model_GetTotalPrepaidLiabilityResult
 * 
 * Properties:
 * <ul>
 * 
 * <li>OutstandingPrepaidLiability: Amazon_FPS_Model_OutstandingPrepaidLiability</li>
 *
 * </ul>
 */ 
class Amazon_FPS_Model_GetTotalPrepaidLiabilityResult extends Amazon_FPS_Model
{


    /**
     * Construct new Amazon_FPS_Model_GetTotalPrepaidLiabilityResult
     * 
     * @param mixed $data DOMElement or Associative Array to construct from. 
     * 
     * Valid properties:
     * <ul>
     * 
     * <li>OutstandingPrepaidLiability: Amazon_FPS_Model_OutstandingPrepaidLiability</li>
     *
     * </ul>
     */
    public function __construct($data = null)
    {
        $this->_fields = array (
        'OutstandingPrepaidLiability' => array('FieldValue' => null, 'FieldType' => 'Amazon_FPS_Model_OutstandingPrepaidLiability'),
        );
        parent::__construct($data);
    }

        /**
     * Gets the value of the OutstandingPrepaidLiability.
     * 
     * @return OutstandingPrepaidLiability OutstandingPrepaidLiability
     */
    public function getOutstandingPrepaidLiability() 
    {
        return $this->_fields['OutstandingPrepaidLiability']['FieldValue'];
    }

    /**
     * Sets the value of the OutstandingPrepaidLiability.
     * 
     * @param OutstandingPrepaidLiability OutstandingPrepaidLiability
     * @return void
     */
    public function setOutstandingPrepaidLiability($value) 
    {
        $this->_fields['OutstandingPrepaidLiability']['FieldValue'] = $value;
        return;
    }

    /**
     * Sets the value of the OutstandingPrepaidLiability  and returns this instance
     * 
     * @param OutstandingPrepaidLiability $value OutstandingPrepaidLiability
     * @return Amazon_FPS_Model_GetTotalPrepaidLiabilityResult instance
     */
    public function withOutstandingPrepaidLiability($value)
    {
        $this->setOutstandingPrepaidLiability($value);
        return $this;
    }


    /**
     * Checks if OutstandingPrepaidLiability  is set
     * 
     * @return bool true if OutstandingPrepaidLiability property is set
     */
    public function isSetOutstandingPrepaidLiability()
    {
        return !is_null($this->_fields['OutstandingPrepaidLiability']['FieldValue']);

    }




}