<?php
/** 
 *  PHP Version 5
 *
 *  @category    Amazon
 *  @package     Amazon_FPS
 *  @copyright   Copyright 2008-2009 Amazon.com, Inc. or its affiliates. All Rights Reserved.
 *  @link        http://aws.amazon.com
 *  @license     http://aws.amazon.com/apache2.0  Apache License, Version 2.0
 *  @version     2010-08-28
 */
/******************************************************************************* 
 *    __  _    _  ___ 
 *   (  )( \/\/ )/ __)
 *   /__\ \    / \__ \
 *  (_)(_) \/\/  (___/
 * 
 *  Amazon FPS PHP5 Library
 *  Generated: Wed Jun 15 05:50:14 GMT+00:00 2011
 * 
 */

/**
 *  @see Amazon_FPS_Model
 */
require_once ('Amazon/FPS/Model.php');  

    

/**
 * Amazon_FPS_Model_PayRequest
 * 
 * Properties:
 * <ul>
 * 
 * <li>SenderTokenId: string</li>
 * <li>RecipientTokenId: string</li>
 * <li>TransactionAmount: Amazon_FPS_Model_Amount</li>
 * <li>ChargeFeeTo: ChargeFeeTo</li>
 * <li>CallerReference: string</li>
 * <li>CallerDescription: string</li>
 * <li>SenderDescription: string</li>
 * <li>DescriptorPolicy: Amazon_FPS_Model_DescriptorPolicy</li>
 * <li>TransactionTimeoutInMins: int</li>
 * <li>MarketplaceFixedFee: Amazon_FPS_Model_Amount</li>
 * <li>MarketplaceVariableFee: int</li>
 * <li>OverrideIPNURL: string</li>
 *
 * </ul>
 */ 
class Amazon_FPS_Model_PayRequest extends Amazon_FPS_Model
{


    /**
     * Construct new Amazon_FPS_Model_PayRequest
     * 
     * @param mixed $data DOMElement or Associative Array to construct from. 
     * 
     * Valid properties:
     * <ul>
     * 
     * <li>SenderTokenId: string</li>
     * <li>RecipientTokenId: string</li>
     * <li>TransactionAmount: Amazon_FPS_Model_Amount</li>
     * <li>ChargeFeeTo: ChargeFeeTo</li>
     * <li>CallerReference: string</li>
     * <li>CallerDescription: string</li>
     * <li>SenderDescription: string</li>
     * <li>DescriptorPolicy: Amazon_FPS_Model_DescriptorPolicy</li>
     * <li>TransactionTimeoutInMins: int</li>
     * <li>MarketplaceFixedFee: Amazon_FPS_Model_Amount</li>
     * <li>MarketplaceVariableFee: int</li>
     * <li>OverrideIPNURL: string</li>
     *
     * </ul>
     */
    public function __construct($data = null)
    {
        $this->_fields = array (
        'SenderTokenId' => array('FieldValue' => null, 'FieldType' => 'string'),
        'RecipientTokenId' => array('FieldValue' => null, 'FieldType' => 'string'),
        'TransactionAmount' => array('FieldValue' => null, 'FieldType' => 'Amazon_FPS_Model_Amount'),
        'ChargeFeeTo' => array('FieldValue' => null, 'FieldType' => 'ChargeFeeTo'),
        'CallerReference' => array('FieldValue' => null, 'FieldType' => 'string'),
        'CallerDescription' => array('FieldValue' => null, 'FieldType' => 'string'),
        'SenderDescription' => array('FieldValue' => null, 'FieldType' => 'string'),
        'DescriptorPolicy' => array('FieldValue' => null, 'FieldType' => 'Amazon_FPS_Model_DescriptorPolicy'),
        'TransactionTimeoutInMins' => array('FieldValue' => null, 'FieldType' => 'int'),
        'MarketplaceFixedFee' => array('FieldValue' => null, 'FieldType' => 'Amazon_FPS_Model_Amount'),
        'MarketplaceVariableFee' => array('FieldValue' => null, 'FieldType' => 'int'),
        'OverrideIPNURL' => array('FieldValue' => null, 'FieldType' => 'string'),
        );
        parent::__construct($data);
    }

        /**
     * Gets the value of the SenderTokenId property.
     * 
     * @return string SenderTokenId
     */
    public function getSenderTokenId() 
    {
        return $this->_fields['SenderTokenId']['FieldValue'];
    }

    /**
     * Sets the value of the SenderTokenId property.
     * 
     * @param string SenderTokenId
     * @return this instance
     */
    public function setSenderTokenId($value) 
    {
        $this->_fields['SenderTokenId']['FieldValue'] = $value;
        return $this;
    }

    /**
     * Sets the value of the SenderTokenId and returns this instance
     * 
     * @param string $value SenderTokenId
     * @return Amazon_FPS_Model_PayRequest instance
     */
    public function withSenderTokenId($value)
    {
        $this->setSenderTokenId($value);
        return $this;
    }


    /**
     * Checks if SenderTokenId is set
     * 
     * @return bool true if SenderTokenId  is set
     */
    public function isSetSenderTokenId()
    {
        return !is_null($this->_fields['SenderTokenId']['FieldValue']);
    }

    /**
     * Gets the value of the RecipientTokenId property.
     * 
     * @return string RecipientTokenId
     */
    public function getRecipientTokenId() 
    {
        return $this->_fields['RecipientTokenId']['FieldValue'];
    }

    /**
     * Sets the value of the RecipientTokenId property.
     * 
     * @param string RecipientTokenId
     * @return this instance
     */
    public function setRecipientTokenId($value) 
    {
        $this->_fields['RecipientTokenId']['FieldValue'] = $value;
        return $this;
    }

    /**
     * Sets the value of the RecipientTokenId and returns this instance
     * 
     * @param string $value RecipientTokenId
     * @return Amazon_FPS_Model_PayRequest instance
     */
    public function withRecipientTokenId($value)
    {
        $this->setRecipientTokenId($value);
        return $this;
    }


    /**
     * Checks if RecipientTokenId is set
     * 
     * @return bool true if RecipientTokenId  is set
     */
    public function isSetRecipientTokenId()
    {
        return !is_null($this->_fields['RecipientTokenId']['FieldValue']);
    }

    /**
     * Gets the value of the TransactionAmount.
     * 
     * @return Amount TransactionAmount
     */
    public function getTransactionAmount() 
    {
        return $this->_fields['TransactionAmount']['FieldValue'];
    }

    /**
     * Sets the value of the TransactionAmount.
     * 
     * @param Amount TransactionAmount
     * @return void
     */
    public function setTransactionAmount($value) 
    {
        $this->_fields['TransactionAmount']['FieldValue'] = $value;
        return;
    }

    /**
     * Sets the value of the TransactionAmount  and returns this instance
     * 
     * @param Amount $value TransactionAmount
     * @return Amazon_FPS_Model_PayRequest instance
     */
    public function withTransactionAmount($value)
    {
        $this->setTransactionAmount($value);
        return $this;
    }


    /**
     * Checks if TransactionAmount  is set
     * 
     * @return bool true if TransactionAmount property is set
     */
    public function isSetTransactionAmount()
    {
        return !is_null($this->_fields['TransactionAmount']['FieldValue']);

    }

    /**
     * Gets the value of the ChargeFeeTo property.
     * 
     * @return ChargeFeeTo ChargeFeeTo
     */
    public function getChargeFeeTo() 
    {
        return $this->_fields['ChargeFeeTo']['FieldValue'];
    }

    /**
     * Sets the value of the ChargeFeeTo property.
     * 
     * @param ChargeFeeTo ChargeFeeTo
     * @return this instance
     */
    public function setChargeFeeTo($value) 
    {
        $this->_fields['ChargeFeeTo']['FieldValue'] = $value;
        return $this;
    }

    /**
     * Sets the value of the ChargeFeeTo and returns this instance
     * 
     * @param ChargeFeeTo $value ChargeFeeTo
     * @return Amazon_FPS_Model_PayRequest instance
     */
    public function withChargeFeeTo($value)
    {
        $this->setChargeFeeTo($value);
        return $this;
    }


    /**
     * Checks if ChargeFeeTo is set
     * 
     * @return bool true if ChargeFeeTo  is set
     */
    public function isSetChargeFeeTo()
    {
        return !is_null($this->_fields['ChargeFeeTo']['FieldValue']);
    }

    /**
     * Gets the value of the CallerReference property.
     * 
     * @return string CallerReference
     */
    public function getCallerReference() 
    {
        return $this->_fields['CallerReference']['FieldValue'];
    }

    /**
     * Sets the value of the CallerReference property.
     * 
     * @param string CallerReference
     * @return this instance
     */
    public function setCallerReference($value) 
    {
        $this->_fields['CallerReference']['FieldValue'] = $value;
        return $this;
    }

    /**
     * Sets the value of the CallerReference and returns this instance
     * 
     * @param string $value CallerReference
     * @return Amazon_FPS_Model_PayRequest instance
     */
    public function withCallerReference($value)
    {
        $this->setCallerReference($value);
        return $this;
    }


    /**
     * Checks if CallerReference is set
     * 
     * @return bool true if CallerReference  is set
     */
    public function isSetCallerReference()
    {
        return !is_null($this->_fields['CallerReference']['FieldValue']);
    }

    /**
     * Gets the value of the CallerDescription property.
     * 
     * @return string CallerDescription
     */
    public function getCallerDescription() 
    {
        return $this->_fields['CallerDescription']['FieldValue'];
    }

    /**
     * Sets the value of the CallerDescription property.
     * 
     * @param string CallerDescription
     * @return this instance
     */
    public function setCallerDescription($value) 
    {
        $this->_fields['CallerDescription']['FieldValue'] = $value;
        return $this;
    }

    /**
     * Sets the value of the CallerDescription and returns this instance
     * 
     * @param string $value CallerDescription
     * @return Amazon_FPS_Model_PayRequest instance
     */
    public function withCallerDescription($value)
    {
        $this->setCallerDescription($value);
        return $this;
    }


    /**
     * Checks if CallerDescription is set
     * 
     * @return bool true if CallerDescription  is set
     */
    public function isSetCallerDescription()
    {
        return !is_null($this->_fields['CallerDescription']['FieldValue']);
    }

    /**
     * Gets the value of the SenderDescription property.
     * 
     * @return string SenderDescription
     */
    public function getSenderDescription() 
    {
        return $this->_fields['SenderDescription']['FieldValue'];
    }

    /**
     * Sets the value of the SenderDescription property.
     * 
     * @param string SenderDescription
     * @return this instance
     */
    public function setSenderDescription($value) 
    {
        $this->_fields['SenderDescription']['FieldValue'] = $value;
        return $this;
    }

    /**
     * Sets the value of the SenderDescription and returns this instance
     * 
     * @param string $value SenderDescription
     * @return Amazon_FPS_Model_PayRequest instance
     */
    public function withSenderDescription($value)
    {
        $this->setSenderDescription($value);
        return $this;
    }


    /**
     * Checks if SenderDescription is set
     * 
     * @return bool true if SenderDescription  is set
     */
    public function isSetSenderDescription()
    {
        return !is_null($this->_fields['SenderDescription']['FieldValue']);
    }

    /**
     * Gets the value of the DescriptorPolicy.
     * 
     * @return DescriptorPolicy DescriptorPolicy
     */
    public function getDescriptorPolicy() 
    {
        return $this->_fields['DescriptorPolicy']['FieldValue'];
    }

    /**
     * Sets the value of the DescriptorPolicy.
     * 
     * @param DescriptorPolicy DescriptorPolicy
     * @return void
     */
    public function setDescriptorPolicy($value) 
    {
        $this->_fields['DescriptorPolicy']['FieldValue'] = $value;
        return;
    }

    /**
     * Sets the value of the DescriptorPolicy  and returns this instance
     * 
     * @param DescriptorPolicy $value DescriptorPolicy
     * @return Amazon_FPS_Model_PayRequest instance
     */
    public function withDescriptorPolicy($value)
    {
        $this->setDescriptorPolicy($value);
        return $this;
    }


    /**
     * Checks if DescriptorPolicy  is set
     * 
     * @return bool true if DescriptorPolicy property is set
     */
    public function isSetDescriptorPolicy()
    {
        return !is_null($this->_fields['DescriptorPolicy']['FieldValue']);

    }

    /**
     * Gets the value of the TransactionTimeoutInMins property.
     * 
     * @return int TransactionTimeoutInMins
     */
    public function getTransactionTimeoutInMins() 
    {
        return $this->_fields['TransactionTimeoutInMins']['FieldValue'];
    }

    /**
     * Sets the value of the TransactionTimeoutInMins property.
     * 
     * @param int TransactionTimeoutInMins
     * @return this instance
     */
    public function setTransactionTimeoutInMins($value) 
    {
        $this->_fields['TransactionTimeoutInMins']['FieldValue'] = $value;
        return $this;
    }

    /**
     * Sets the value of the TransactionTimeoutInMins and returns this instance
     * 
     * @param int $value TransactionTimeoutInMins
     * @return Amazon_FPS_Model_PayRequest instance
     */
    public function withTransactionTimeoutInMins($value)
    {
        $this->setTransactionTimeoutInMins($value);
        return $this;
    }


    /**
     * Checks if TransactionTimeoutInMins is set
     * 
     * @return bool true if TransactionTimeoutInMins  is set
     */
    public function isSetTransactionTimeoutInMins()
    {
        return !is_null($this->_fields['TransactionTimeoutInMins']['FieldValue']);
    }

    /**
     * Gets the value of the MarketplaceFixedFee.
     * 
     * @return Amount MarketplaceFixedFee
     */
    public function getMarketplaceFixedFee() 
    {
        return $this->_fields['MarketplaceFixedFee']['FieldValue'];
    }

    /**
     * Sets the value of the MarketplaceFixedFee.
     * 
     * @param Amount MarketplaceFixedFee
     * @return void
     */
    public function setMarketplaceFixedFee($value) 
    {
        $this->_fields['MarketplaceFixedFee']['FieldValue'] = $value;
        return;
    }

    /**
     * Sets the value of the MarketplaceFixedFee  and returns this instance
     * 
     * @param Amount $value MarketplaceFixedFee
     * @return Amazon_FPS_Model_PayRequest instance
     */
    public function withMarketplaceFixedFee($value)
    {
        $this->setMarketplaceFixedFee($value);
        return $this;
    }


    /**
     * Checks if MarketplaceFixedFee  is set
     * 
     * @return bool true if MarketplaceFixedFee property is set
     */
    public function isSetMarketplaceFixedFee()
    {
        return !is_null($this->_fields['MarketplaceFixedFee']['FieldValue']);

    }

    /**
     * Gets the value of the MarketplaceVariableFee property.
     * 
     * @return int MarketplaceVariableFee
     */
    public function getMarketplaceVariableFee() 
    {
        return $this->_fields['MarketplaceVariableFee']['FieldValue'];
    }

    /**
     * Sets the value of the MarketplaceVariableFee property.
     * 
     * @param int MarketplaceVariableFee
     * @return this instance
     */
    public function setMarketplaceVariableFee($value) 
    {
        $this->_fields['MarketplaceVariableFee']['FieldValue'] = $value;
        return $this;
    }

    /**
     * Sets the value of the MarketplaceVariableFee and returns this instance
     * 
     * @param int $value MarketplaceVariableFee
     * @return Amazon_FPS_Model_PayRequest instance
     */
    public function withMarketplaceVariableFee($value)
    {
        $this->setMarketplaceVariableFee($value);
        return $this;
    }


    /**
     * Checks if MarketplaceVariableFee is set
     * 
     * @return bool true if MarketplaceVariableFee  is set
     */
    public function isSetMarketplaceVariableFee()
    {
        return !is_null($this->_fields['MarketplaceVariableFee']['FieldValue']);
    }

    /**
     * Gets the value of the OverrideIPNURL property.
     * 
     * @return string OverrideIPNURL
     */
    public function getOverrideIPNURL() 
    {
        return $this->_fields['OverrideIPNURL']['FieldValue'];
    }

    /**
     * Sets the value of the OverrideIPNURL property.
     * 
     * @param string OverrideIPNURL
     * @return this instance
     */
    public function setOverrideIPNURL($value) 
    {
        $this->_fields['OverrideIPNURL']['FieldValue'] = $value;
        return $this;
    }

    /**
     * Sets the value of the OverrideIPNURL and returns this instance
     * 
     * @param string $value OverrideIPNURL
     * @return Amazon_FPS_Model_PayRequest instance
     */
    public function withOverrideIPNURL($value)
    {
        $this->setOverrideIPNURL($value);
        return $this;
    }


    /**
     * Checks if OverrideIPNURL is set
     * 
     * @return bool true if OverrideIPNURL  is set
     */
    public function isSetOverrideIPNURL()
    {
        return !is_null($this->_fields['OverrideIPNURL']['FieldValue']);
    }




}